Bug 26150 - Remove the use of jquery.checkboxes plugin from inventory page
Summary: Remove the use of jquery.checkboxes plugin from inventory page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-05 16:58 UTC by Owen Leonard
Modified: 2020-09-10 04:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26150: Remove the use of jquery.checkboxes plugin from inventory page (2.31 KB, patch)
2020-08-05 17:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26150: Remove the use of jquery.checkboxes plugin from inventory page (2.36 KB, patch)
2020-08-19 19:43 UTC, Brandon J
Details | Diff | Splinter Review
Bug 26150: Remove the use of jquery.checkboxes plugin from inventory page (2.42 KB, patch)
2020-08-20 22:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-05 16:58:42 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced on the inventory page.
Comment 1 Owen Leonard 2020-08-05 17:16:25 UTC
Created attachment 107853 [details] [review]
Bug 26150: Remove the use of jquery.checkboxes plugin from inventory page

This patch removes the use of the jquery.checkboxes plugin from the
inventory page and replaces it with custom JS.

To test, apply the patch and go to Tools -> Inventory.

 - Submit the form with some selections which will return results on the
   following page. I filtered by library.
 - On the page showing results, test that the "Select all" and "Clear
   all" links work correctly.
Comment 2 Brandon J 2020-08-19 19:43:53 UTC
Created attachment 108693 [details] [review]
Bug 26150: Remove the use of jquery.checkboxes plugin from inventory page

This patch removes the use of the jquery.checkboxes plugin from the
inventory page and replaces it with custom JS.

To test, apply the patch and go to Tools -> Inventory.

 - Submit the form with some selections which will return results on the
   following page. I filtered by library.
 - On the page showing results, test that the "Select all" and "Clear
   all" links work correctly.

Signed-off-by: Brandon J <brandon.jimenez@inLibro.com>
Comment 3 Katrin Fischer 2020-08-20 22:17:10 UTC
Created attachment 108763 [details] [review]
Bug 26150: Remove the use of jquery.checkboxes plugin from inventory page

This patch removes the use of the jquery.checkboxes plugin from the
inventory page and replaces it with custom JS.

To test, apply the patch and go to Tools -> Inventory.

 - Submit the form with some selections which will return results on the
   following page. I filtered by library.
 - On the page showing results, test that the "Select all" and "Clear
   all" links work correctly.

Signed-off-by: Brandon J <brandon.jimenez@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-24 10:33:39 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-09-04 19:43:50 UTC
backported to 20.05.x for 20.05.04
Comment 6 Aleisha Amohia 2020-09-10 04:17:13 UTC
enhancement, not backported to 19.11.x